﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Runtime.Serialization;

namespace Mudances_WCF
{
    /// <summary>
    /// Classe que es fa servir per a la comunicació a través del servei de WCF.
    /// </summary>
    [DataContract]
    public class Imatge
    {
        /// <summary>
        /// Constructor de la classe.
        /// </summary>
        public Imatge()
        { }
        /// <summary>
        /// Constructor de la classe que rep com a paràmetre el seu objecte corresponent a la capa DAO.
        /// S'encarrega d'inicialitzar els valors en funció de l'objecte rebut.
        /// </summary>
        public Imatge(imatgesSet dao)
        {
            this.Id = dao.Id;
            this.imatge = dao.imatge;
        }

        [DataMember]
        public int Id;
        [DataMember]
        public byte[] imatge;
    }
}