﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Navigation;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Shell;

namespace Mudances_WP8
{
    public partial class PressupostosTrasllats : PhoneApplicationPage
    {
        WP_DAO.DataInterface di = new WP_DAO.DataInterface();
        

        public PressupostosTrasllats()
        {
            InitializeComponent();
        }

        private void PhoneApplicationPage_Loaded(object sender, RoutedEventArgs e)
        {
            if (App.pressupostModificat == true && App.currentPressupost != null)
            {
                di.ActualitzaPressupost(App.currentPressupost);
            }
            
            App.pressupostModificat = false;
            this.LoadData();
        }

        private void LoadData()
        {
            LPressupostos.ItemsSource = di.GetPressupostosUsuari(App.currentUser);
            LTrasllats.ItemsSource = di.GetTrasllatsUsuari(App.currentUser);
        }

        private void Pressupostos_Tap(object sender, System.Windows.Input.GestureEventArgs e)
        {
            App.currentPressupost = ((StackPanel)sender).DataContext as WP_DAO.ServeiMudances.Pressupost;
            NavigationService.Navigate(new Uri("/DetallPressupost.xaml", UriKind.Relative));
        }

        private void StackPanel_Tap(object sender, System.Windows.Input.GestureEventArgs e)
        {
            App.currentPressupost = ((StackPanel)sender).DataContext as WP_DAO.ServeiMudances.Pressupost;
            NavigationService.Navigate(new Uri("/DetallPressupost.xaml", UriKind.Relative));
        }

    }
}