﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using SQLite;

namespace WP_DAO.BaseDades
{
    /// <summary>
    /// Classe de definició de taula.
    /// Es una classe model que pot gestionar el motor de base de dades SQLite.
    /// </summary>
    public class WP8_Pressupost
    {
        [PrimaryKey]
        public int Id { get; set; }
        public DateTime data{ get; set; }
        public bool acceptat{ get; set; }
        public bool facturat{ get; set; }
        public int num_factura{ get; set; }
        public string adreça_origen{ get; set; }
        public string adreça_desti{ get; set; }
        public string cp_origen{ get; set; }
        public string cp_desti{ get; set; }
        public string poblacio_origen{ get; set; }
        public string poblacio_desti{ get; set; }
        public string provincia_origen{ get; set; }
        public string provincia_desti{ get; set; }

        public int UsuariId { get; set; }
        public int ClientId { get; set; }

        public bool Actualitzat { get; set; }
    }
}
