﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WP_DAO.Sync
{
    /// <summary>
    /// Classe encarregada de llançar les actualitzacions de la base de dades local.
    /// </summary>
    public class Main
    {
        ServeiMudances.ServeiMudancesClient cli = new ServeiMudances.ServeiMudancesClient();

        /// <summary>
        /// Constructor de la classe.
        /// </summary>
        public Main()
        { }

        /// <summary>
        /// Funció encarregada de fer la crida a la classe que actualitza les dades.
        /// </summary>
        public void SyncAll()
        {
            SyncTables a = new SyncTables(cli);
            a.ActualitzaPressupostos();
            a.GetAllTables();
        }
    }
}
