﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Runtime.Serialization;

namespace Mudances_WCF
{
    [DataContract]
    public class Client
    {
        /// <summary>
        /// Constructor de la classe.
        /// </summary>
        public Client()
        { }
        /// <summary>
        /// Constructor de la classe que rep com a paràmetre el seu objecte corresponent a la capa DAO.
        /// S'encarrega d'inicialitzar els valors en funció de l'objecte rebut.
        /// </summary>
        public Client(clientSet dao)
        {
            this.Id = dao.Id;
            this.nom = dao.nom;
            this.cognoms = dao.cognoms;
            this.dni = dao.dni;
            this.poblacio = dao.poblacio;
            this.provincia = dao.provincia;
            this.telefon = dao.telefon;
            this.mobil = dao.mobil;
            this.fax = dao.fax;
            this.adreça = dao.adreça;
            this.baixa = dao.baixa;
            this.cp = dao.cp;
            this.email = dao.email;
        }

        [DataMember]
        public int Id;
        [DataMember]
        public string nom;
        [DataMember]
        public string cognoms;
        [DataMember]
        public string dni;
        [DataMember]
        public string poblacio;
        [DataMember]
        public string provincia;
        [DataMember]
        public string telefon;
        [DataMember]
        public string mobil;
        [DataMember]
        public string fax;
        [DataMember]
        public string adreça;
        [DataMember]
        public bool baixa;
        [DataMember]
        public string cp;
        [DataMember]
        public string email;
    }
}