﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Runtime.Serialization;

namespace Mudances_WCF
{
    [DataContract]
    public class Configuracio
    {
        /// <summary>
        /// Constructor de la classe.
        /// </summary>
        public Configuracio()
        {
        }
        /// <summary>
        /// Constructor de la classe que rep com a paràmetre el seu objecte corresponent a la capa DAO.
        /// S'encarrega d'inicialitzar els valors en funció de l'objecte rebut.
        /// </summary>
        public Configuracio(configuracioSet config)
        {
            this.Id = config.Id;
            this.propietat = config.propietat;
            this.valor = config.valor;
        }

        [DataMember]
        public int Id;
        [DataMember]
        public string propietat;
        [DataMember]
        public string valor;
    }
}