﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Runtime.Serialization;

namespace Mudances_WCF
{
    /// <summary>
    /// Classe que es fa servir per a la comunicació a través del servei de WCF.
    /// </summary>
    [DataContract]
    public class Vehicle
    {
        /// <summary>
        /// Constructor de la classe.
        /// </summary>
        public Vehicle()
        { }
        /// <summary>
        /// Constructor de la classe que rep com a paràmetre el seu objecte corresponent a la capa DAO.
        /// S'encarrega d'inicialitzar els valors en funció de l'objecte rebut.
        /// </summary>
        public Vehicle(vehicleSet dao)
        {
            this.Id = dao.Id;
            this.nom = dao.nom;
            this.descripcio = dao.descripcio;
            this.baixa = dao.baixa;
        }

        [DataMember]
        public int Id;
        [DataMember]
        public string nom;
        [DataMember]
        public string descripcio;
        [DataMember]
        public bool baixa;
    }
}