﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Navigation;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Shell;

namespace Mudances_WP8
{
    public partial class DetallPressupost : PhoneApplicationPage
    {

        public DetallPressupost()
        {
            InitializeComponent();
        }
        private void PhoneApplicationPage_Loaded(object sender, RoutedEventArgs e)
        {
            this.ShowData();
        }

        private void ShowData()
        {
            tNomClient.Text = App.currentPressupost.client.nom;
            tCognomsClient.Text = App.currentPressupost.client.cognoms;

            tAdreçaOrigen.Text = App.currentPressupost.adreça_origen;
            tCPOrigen.Text = App.currentPressupost.cp_origen;
            tPoblacioOrigen.Text = App.currentPressupost.poblacio_origen;
            tProvinciaOrigen.Text = App.currentPressupost.provincia_origen;

            tAdreçaDestí.Text = App.currentPressupost.adreça_desti;
            tCPDestí.Text = App.currentPressupost.cp_desti;
            tPoblacioDestí.Text = App.currentPressupost.poblacio_desti;
            tProvinciaDestí.Text = App.currentPressupost.provincia_desti;

            LOperaris.ItemsSource = App.currentPressupost.operaris;
            LVehicles.ItemsSource = App.currentPressupost.vehicles;
            LLinies.ItemsSource = App.currentPressupost.linies;
        }

        private void StackPanel_Tap(object sender, System.Windows.Input.GestureEventArgs e)
        {
            App.currentLiniaPressupost = ((StackPanel)sender).DataContext as WP_DAO.ServeiMudances.LiniaPressupost;
            NavigationService.Navigate(new Uri("/DetallLinia.xaml", UriKind.Relative));
        }

        private void Pivot_LoadedPivotItem(object sender, PivotItemEventArgs e)
        {
            switch (e.Item.Name)
            {
                case "PLinies":
                    ApplicationBar.IsVisible = true;
                    break;
                default:
                    ApplicationBar.IsVisible = false;
                    break;
            }
        }

        private void ApplicationBarIconButton_Click(object sender, EventArgs e)
        {
            App.currentLiniaPressupost = this.NovaLinia();
            App.currentPressupost.linies.Add(App.currentLiniaPressupost);
            NavigationService.Navigate(new Uri("/DetallLinia.xaml", UriKind.Relative));
        }
        private WP_DAO.ServeiMudances.LiniaPressupost NovaLinia()
        {
            WP_DAO.DataInterface di = new WP_DAO.DataInterface();

            WP_DAO.ServeiMudances.LiniaPressupost nova = new WP_DAO.ServeiMudances.LiniaPressupost();
            nova.Id = di.NumeroLinia();
            nova.article = "";
            nova.comentaris = "";
            nova.transportat = false;
            nova.imatges = new System.Collections.ObjectModel.ObservableCollection<WP_DAO.ServeiMudances.Imatge>();
            return nova;
        }
        
    }
}