﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using SQLite;

namespace WP_DAO.BaseDades
{
    /// <summary>
    /// Classe de definició de taula.
    /// Es una classe model que pot gestionar el motor de base de dades SQLite.
    /// </summary>
    public class WP8_Client
    {
        [PrimaryKey]
        public int Id { get; set; }
        public string nom { get; set; }
        public string cognoms { get; set; }
        public string dni { get; set; }
        public string poblacio{ get; set; }
        public string provincia{ get; set; }
        public string telefon{ get; set; }
        public string mobil{ get; set; }
        public string fax{ get; set; }
        public string adreça{ get; set; }
        public bool baixa{ get; set; }
        public string cp{ get; set; }
        public string email{ get; set; }
    }
}
